laravel new shop_12_wireui


 ┌ Would you like to install a starter kit? ────────────────────┐
 │ Laravel Breeze                                               │
 └──────────────────────────────────────────────────────────────┘

 ┌ Which Breeze stack would you like to install? ───────────────┐
 │ Livewire (Volt Class API) with Alpine                        │
 └──────────────────────────────────────────────────────────────┘

 ┌ Would you like dark mode support? ───────────────────────────┐
 │ No                                                           │
 └──────────────────────────────────────────────────────────────┘

 ┌ Which testing framework do you prefer? ──────────────────────┐
 │ PHPUnit                                                      │
 └──────────────────────────────────────────────────────────────┘

 ┌ Would you like to initialize a Git repository? ──────────────┐
 │ ● Yes / ○ No                                                 │
 └──────────────────────────────────────────────────────────────┘


composer require spatie/laravel-permission

php artisan vendor:publish --provider="Spatie\Permission\PermissionServiceProvider"



php artisan make:seeder PermissionTableSeeder
php artisan make:seeder CreateAdminUserSeeder

無 DB 新建
php artisan migrate --seed  
有 DB 重制
php artisan migrate:fresh --seed

valet park
valet link
valet paths

php artisan db:seed --class=PermissionTableSeeder
php artisan db:seed --class=CreateAdminUserSeeder

php artisan db:seed --class=SqliteToMysqlSeeder
php artisan db:seed --class=ChineseNameConverterSeeder
        //console.log();
php artisan route:list
php artisan config:clear
php artisan route:clear
php artisan cache:clear
php artisan route:list

npm install && npm run build

php artisan convert:unihan-strokes \
  --input=resources/data/Unihan_IRGSources.txt \
  --output=resources/data/unihan_strokes.php
php artisan cache:forget unihan_strokes


composer require wireui/wireui

php artisan vendor:publish --tag="wireui.config"


composer require power-components/livewire-powergrid
php artisan vendor:publish --tag=livewire-powergrid-config

composer require overtrue/php-opencc -vvv
composer require overtrue/pinyin   

建立分頁table
php artisan powergrid:create

php artisan make:livewire Admin/ArtistForm  
php artisan make:livewire Admin/SongForm 